sc::distsize_t(3)

NAME
sc::distsize_t -

SYNOPSIS

  Public Member Functions
distsize_t (int a)
distsize_t (unsigned int a)
distsize_t (unsigned long long a)
distsize_t & operator= (const distsize_t &a)
distsize_t & operator+= (const distsize_t &a)
distsize_t operator* (const distsize_t &a) const
distsize_t operator+ (const distsize_t &a) const
distsize_t operator- (const distsize_t &a) const
distsize_t operator/ (const distsize_t &a) const
distsize_t operator% (const distsize_t &a) const
bool operator< (const distsize_t &a) const
bool operator<= (const distsize_t &a) const
bool operator> (const distsize_t &a) const
bool operator>= (const distsize_t &a) const
bool operator== (const distsize_t &a) const
distsize_t operator* (const int &a) const
distsize_t operator+ (const int &a) const
distsize_t operator- (const int &a) const
distsize_t operator/ (const int &a) const
distsize_t operator% (const int &a) const

  Friends
size_t distsize_to_size (const distsize_t &a)
distsize_t operator* (const int &a, const distsize_t &b)
distsize_t operator+ (const int &a, const distsize_t &b)
distsize_t operator- (const int &a, const distsize_t &b)
distsize_t operator/ (const int &a, const distsize_t &b)
distsize_t operator% (const int &a, const distsize_t &b)
ostream & operator<< (ostream &o, const distsize_t &s)

Author

Generated automatically by Doxygen for MPQC from the source code.